.grid {
    display: grid;
}

.grid-wrap {
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    grid-gap: .5rem;
}

.--span-1 {
    grid-column: span 1;
}
.--span-2 {
    grid-column: span 2;
}
.--span-3 {
    grid-column: span 3;
}
.--span-4 {
    grid-column: span 4;
}
.--span-5 {
    grid-column: span 5;
}
.--span-6 {
    grid-column: span 6;
}
.--span-7 {
    grid-column: span 7;
}
.--span-8 {
    grid-column: span 8;
}
.--span-9 {
    grid-column: span 9;
}
.--span-10 {
    grid-column: span 10;
}
.--span-11 {
    grid-column: span 11;
}
.--span-12 {
    grid-column: span 12;
}

.--gap-4 {
    grid-gap:0 .25rem;
}

.--gap-6 {
    grid-gap:0 .375rem;
}

.--gap-8 {
    grid-gap:0 .5rem;
}

.--gap-12 {
    grid-gap:0 .75rem;
}

.--gap-14 {
    grid-gap:0 .875rem;
}

.--gap-16 {
    grid-gap:0 1rem;
}

.--gap-18 {
    grid-gap:0 1.125rem;
}

.--gap-20 {
    grid-gap:0 1.25rem;
}

.--gap-24 {
    grid-gap:0 1.5rem;
}

.--gap-32 {
    grid-gap:0 2rem;
}

.--gap-40 {
    grid-gap:0 2.5rem;
}

.--gap-48 {
    grid-gap:0 3rem;
}

.--gap-56 {
    grid-gap:0 3.5rem;
}

.--gap-64 {
    grid-gap:0 4rem;
}

.--gap-72 {
    grid-gap:0 4.5rem;
}

.--gap-80 {
    grid-gap:0 5rem;
}

.--gap-88 {
    grid-gap:0 5.5rem;
}

.--gap-96 {
    grid-gap:0 6rem;
}

.--gap-104 {
    grid-gap:0 6.5rem;
}

.--temp-col-1 {
    grid-template-columns: repeat(1, 1fr);
}

.--temp-col-2 {
    grid-template-columns: repeat(2, 1fr);
}

.--temp-col-3 {
    grid-template-columns: repeat(3, 1fr);
}

.--temp-col-4 {
    grid-template-columns: repeat(4, 1fr);
}

.--temp-col-5 {
    grid-template-columns: repeat(5, 1fr);
}

.--temp-col-6 {
    grid-template-columns: repeat(6, 1fr);
}

.--temp-col-7 {
    grid-template-columns: repeat(7, 1fr);
}

.--temp-col-8 {
    grid-template-columns: repeat(8, 1fr);
}

.--temp-col-9 {
    grid-template-columns: repeat(9, 1fr);
}

.--temp-col-10 {
    grid-template-columns: repeat(10, 1fr);
}

.--temp-col-11 {
    grid-template-columns: repeat(11, 1fr);
}

.--temp-col-12 {
    grid-template-columns: repeat(12, 1fr);
}